8afd9b8aea963cc9da5b50e18a9968cfc0bf6d9d
[xfstests-dev.git] / 014
1 #! /bin/sh
2 #
3 #-----------------------------------------------------------------------
4 # Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
5 #
6 # This program is free software; you can redistribute it and/or
7 # modify it under the terms of the GNU General Public License as
8 # published by the Free Software Foundation.
9 #
10 # This program is distributed in the hope that it would be useful,
11 # but WITHOUT ANY WARRANTY; without even the implied warranty of
12 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
13 # GNU General Public License for more details.
14 #
15 # You should have received a copy of the GNU General Public License
16 # along with this program; if not, write the Free Software Foundation,
17 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
18 #
19 #-----------------------------------------------------------------------
20 #
21 # FS QA Test No. 014
22 #
23 # truncfile
24 #
25 # creator
26 owner=dxm@sgi.com
27
28 seq=`basename $0`
29 echo "QA output created by $seq"
30
31 here=`pwd`
32 tmp=/tmp/$$
33 status=0        # success is the default!
34 trap "_cleanup; exit \$status" 0 1 2 3 15
35
36 _cleanup()
37 {
38     cd /
39     rm -f $tmp.*
40     rm -rf $testdir/truncfile.$$.*
41     _cleanup_testdir
42 }
43
44 # get standard environment, filters and checks
45 . ./common.rc
46 . ./common.filter
47
48 _supported_fs xfs udf nfs
49 _supported_os IRIX Linux
50
51 _setup_testdir
52
53 echo "brevity is wit..."
54
55 echo "------"
56 echo "test 1"
57 echo "------"
58 if ! src/truncfile -c 10000 $testdir/truncfile.$$.0 >$tmp.out 2>&1
59 then
60     out=`cat $tmp.out`
61     echo "truncfile returned $? : \"$out\""
62 else
63     echo "OK"
64 fi
65
66 exit